Apache HTTP Server Request Library

# apreq_cookie_t Struct Reference

Cookie type, supporting both Netscape and RFC cookie specifications. More...

`#include <apreq_cookie.h>`

## Data Fields

char * | path
char * | domain
char * | port
char * | comment
char * | commentURL
apr_time_t | max_age
unsigned | flags
const apreq_value_t | v

## Detailed Description

Cookie type, supporting both Netscape and RFC cookie specifications.

## Field Documentation

char* apreq_cookie_t::path

Restricts url path

char* apreq_cookie_t::domain

Restricts server domain

char* apreq_cookie_t::port

Restricts server port

char* apreq_cookie_t::comment

RFC cookies may send a comment

char* apreq_cookie_t::commentURL

RFC cookies may place an URL here

apr_time_t apreq_cookie_t::max_age

total duration of cookie: -1 == session

unsigned apreq_cookie_t::flags

charsets, taint marks, app-specific bits

const apreq_value_t apreq_cookie_t::v

"raw" cookie value

The documentation for this struct was generated from the following file:

- include/apreq_cookie.h